3 Replies Latest reply on Aug 23, 2015 11:17 PM by Todd_Kopriva

    Adobe After Effects CS3 Professional

    Operation Torch Level 1

      Hello all

       

      I've been searching for an older version of After Effects, (one that would work in 10.6.8). I've read conflicting information that stated there were compatibility issues with CS3 and Snow Leopard. Still not sure of a definitive answer. Reason I ask about this older version, After Effects was offered as a Stand Alone program since I don't have need for the entire suite and there are opportunities to pick up an older program.

       

      People were being helpful providing information, but it seems the administrators may have deleted the posts?

       

      In any event, I'll narrow the question down to CS3 After Effects - Can anyone comment on compatibility with an older Intell Mac Pro and 10.6.8?

       

      Thanks Again!

      MIke